#
# Conditional build:
%bcond_with	tests		# build without tests

Summary:	Tool for checking common errors in RPM packages
Summary(pl.UTF-8):	Narzędzie do sprawdzania pakietów RPM pod kątem częstych błędów
Name:		rpmlint
Version:	2.6.1
Release:	1
License:	GPL v2
Group:		Development/Building
Source0:	https://github.com/rpm-software-management/rpmlint/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	767e7fa006cb7cbc7101a867d57de6a1
Source1:	licenses.toml
Source2:	pld.toml
Source3:	scoring.toml
Source4:	users-groups.toml
URL:		https://github.com/rpm-software-management/rpmlint
BuildRequires:	python3
BuildRequires:	python3-modules
%if %{with tests}
BuildRequires:	python3-flake8
BuildRequires:	python3-pytest
BuildRequires:	python3-rpm >= 1:4.16
BuildRequires:	python3-setuptools
BuildRequires:	python3-zstd
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.673
Requires:	/bin/bash
Requires:	/lib/cpp
Requires:	binutils
Requires:	bzip2
Requires:	checkbashisms
Requires:	cpio
Requires:	dash
Requires:	desktop-file-utils
Requires:	file
Requires:	findutils
Requires:	grep
Requires:	gzip
Requires:	python3
Requires:	python3-magic
Requires:	python3-pyenchant
Requires:	python3-rpm >= 1:4.16
Requires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rpmlint is a tool to check common errors on rpm packages. Binary and
source packages can be checked.

%description -l pl.UTF-8
rpmlint to narzędzie do sprawdzania pakietów RPM pod kątem często
występujących błędów. Można sprawdzać pakiety źródłowe i binarne.

%prep
%setup -q

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/rpmlint

%py3_install

cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
	$RPM_BUILD_ROOT%{_sysconfdir}/xdg/rpmlint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%dir %{_sysconfdir}/xdg/rpmlint
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/rpmlint/*.toml
%attr(755,root,root) %{_bindir}/rpmdiff
%attr(755,root,root) %{_bindir}/rpmlint
%dir %{py3_sitescriptdir}/rpmlint
%{py3_sitescriptdir}/rpmlint/configdefaults.toml
%{py3_sitescriptdir}/rpmlint/*.py
%{py3_sitescriptdir}/rpmlint/__pycache__
%dir %{py3_sitescriptdir}/rpmlint/checks
%{py3_sitescriptdir}/rpmlint/checks/*.py
%{py3_sitescriptdir}/rpmlint/checks/__pycache__
%dir %{py3_sitescriptdir}/rpmlint/descriptions
%{py3_sitescriptdir}/rpmlint/descriptions/*.toml
%{py3_sitescriptdir}/rpmlint-%{version}-py*.egg-info
%changelog
* Sun Jan 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpmlint.git;a=log;h=master

* Sat Jan 04 2025 Jan Palus <atler@pld-linux.org> dbedd9a
- up to 2.6.1

* Sat Jan 04 2025 Jan Palus <atler@pld-linux.org> 73412cf
- BR: python3-setuptools R: checkbashisms dash

* Sat Jan 04 2025 Jan Palus <atler@pld-linux.org> 3a21bb2
- \' isn't valid escape sequence in toml and there's no escaping in literal strings ('') at all

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> 70e187b
- up to 2.2.0

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0509f50
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 213a8fb
- release 3 (by relup.sh)

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> d64a4a4
- disable bad test
- rel 2

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> 67a5960
- flip rpm4 bcond to default

* Sun Jan 17 2021 Jan Rękorajski <baggins@pld-linux.org> a3f4405
- disable one more flaky test

* Sun Jan 17 2021 Jan Rękorajski <baggins@pld-linux.org> e90f5d3
- fix some more test stuff on rpm5 / python2
- rel 1

* Sun Jan 17 2021 Jan Rękorajski <baggins@pld-linux.org> 5d9af7a
- fix running all tests

* Sun Jan 17 2021 Jan Rękorajski <baggins@pld-linux.org> f24c60b
- up to 1.11
- enable building for rpm4 / python3

* Sat Aug 06 2016 Elan Ruusamäe <glen@delfi.ee> cdfd091
- cleanup duplicate filter

* Sat Aug 06 2016 Elan Ruusamäe <glen@delfi.ee> 7ea4c2c
- up to 1.9; new homepage

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f2e0c6
- remaining pl
- tests require rpmlint installed

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> d51dcad
- fix install without bash-completions installed

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> 47a5242
- python-rpm required for tests

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> 6d06987
- up to 1.7

* Fri Oct 03 2014 Elan Ruusamäe <glen@delfi.ee> f5b2d51
- rpm5 fix

* Thu Sep 18 2014 Elan Ruusamäe <glen@delfi.ee> 21e8a79
- requires python 2.6+

